import request from '@/utils/request'

// 查询电子围栏目标列表
export function listFenceTarget(query) {
  return request({
    url: '/business/fenceTarget/list',
    method: 'get',
    params: query
  })
}

// 查询电子围栏目标详细
export function getFenceTarget(targetId) {
  return request({
    url: '/business/fenceTarget/' + targetId,
    method: 'get'
  })
}

// 新增电子围栏目标
export function addFenceTarget(data) {
  return request({
    url: '/business/fenceTarget',
    method: 'post',
    data: data
  })
}

// 修改电子围栏目标
export function updateFenceTarget(data) {
  return request({
    url: '/business/fenceTarget',
    method: 'put',
    data: data
  })
}

// 删除电子围栏目标
export function delFenceTarget(targetId) {
  return request({
    url: '/business/fenceTarget/' + targetId,
    method: 'delete'
  })
}
